#include "ObjectManipulationProperties.h"

int ObjectManipulationProperties::interface_size() const {
    if (managed_window_ != NULL) {
        return managed_window_->interface_size();
    }
    return -1;
}

void ObjectManipulationProperties::set_interface_size(int interface_size) {
    if (managed_window_ != NULL) {
        managed_window_->set_interface_size(interface_size);
    }
}

int ObjectManipulationProperties::initial_rotation() const {
    if (managed_window_ != NULL) {
        return managed_window_->initial_rotation();
    }
    return -1;
}

void ObjectManipulationProperties::set_initial_rotation(int initial_rotation) {
    if (managed_window_ != NULL) {
        managed_window_->set_initial_rotation(initial_rotation);
    }
}

int ObjectManipulationProperties::rotation_step() const {
    if (managed_window_ != NULL) {
        return managed_window_->rotation_step();
    }
    return -1;
}

void ObjectManipulationProperties::set_rotation_step(int rotation_step) {
    if (managed_window_ != NULL) {
        managed_window_->set_rotation_step(rotation_step);
    }
}

float ObjectManipulationProperties::view_scroll_step() const {
    if (managed_window_ != NULL) {
        return managed_window_->view_scroll_step();
    }
    return -1;
}

void ObjectManipulationProperties::set_view_scroll_step(float view_scroll_step) {
    if (managed_window_ != NULL) {
        managed_window_->set_view_scroll_step(view_scroll_step);
    }
}

float ObjectManipulationProperties::zoom_in_out_factor() const {
    if (managed_window_ != NULL) {
        return managed_window_->zoom_in_out_factor();
    }
    return -1;
}

void ObjectManipulationProperties::set_zoom_in_out_factor(float zoom_in_out_factor) {
    if (managed_window_ != NULL) {
        managed_window_->set_zoom_in_out_factor(zoom_in_out_factor);
    }
}

QString ObjectManipulationProperties::bin_descriptors() const {
    if (managed_window_ != NULL) {
        return managed_window_->bin_descriptors();
    }
    return QString();
}

void ObjectManipulationProperties::set_bin_descriptors(const QString &bin_descriptors) {
    if (managed_window_ != NULL) {
        managed_window_->set_bin_descriptors(bin_descriptors);
    }
}

QString ObjectManipulationProperties::image_file() const {
    if (managed_window_ != NULL) {
        return managed_window_->image_file();
    }
    return QString();
}

void ObjectManipulationProperties::set_image_file(const QString &image_file) {
    if (managed_window_ != NULL) {
        managed_window_->set_image_file(image_file);
    }
}
QString ObjectManipulationProperties::object_list_file() const {
    if (managed_window_ != NULL) {
        return managed_window_->object_list_file();
    }
    return QString();
}
void ObjectManipulationProperties::set_object_list_file(const QString &object_list_file) {
    if (managed_window_ != NULL) {
        managed_window_->set_object_list_file(object_list_file);
    }
}

ObjectManipulationProperties::ObjectManipulationProperties(ObjectManipulationWindow* managed_window, QObject *parent) : cXmlIO(0, parent) {
    managed_window_ = managed_window;
}
